Skip to main content
GET
/
v0
/
tags
List all tags
curl --request GET \
  --url https://api.sandbox.teal.dev/v0/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'teal-instance-id: <teal-instance-id>'
{
  "next_page_token": "ikal0NEVfMhF8dJf4yQ6KQZmGD",
  "prev_page_token": "vuA7JeKI5c6FLnPt5JfRcZcJxW",
  "records": [
    {
      "id": "<string>",
      "name": "<string>",
      "tag_group_id": "<string>",
      "tag_group_name": "<string>",
      "enabled": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The teal instance ID

Query Parameters

name
string | null

Optional name of tag for filtering.

tag_group_id
string | null

Optional tag group ID for filtering.

include_disabled
boolean
default:false

Include disabled tags.

sort
enum<string>[] | null

A comma separated list of sort orders for the results.

Available options:
name,
-name,
enabled,
-enabled
ids
string[] | null

A comma separated list of Tag IDs. Only return Tags with the specified IDs. Returns 404 if an ID is not found, 403 if any ID is not authorized.

limit
integer
default:50

The number of records to return. Max limit is 1000.

Required range: x >= 1
page_token
string | null

Opaque page token

Response

Successful Response

next_page_token
string | null
required

The token to use to request the next page

Example:

"ikal0NEVfMhF8dJf4yQ6KQZmGD"

prev_page_token
string | null
required

The token to use to request the previous page

Example:

"vuA7JeKI5c6FLnPt5JfRcZcJxW"

records
EnhancedTag · object[]
required

A list of tags.

Example:
[
{
"enabled": true,
"id": "UjL3BQnEaJtecuC7CUeDk",
"name": "Sprinter - 1ab-c23",
"tag_group_id": "NCB2xo5S1yQbNgyWskXpwG",
"tag_group_name": "Delivery vehicles"
}
]